View Issue Details

IDProjectCategoryView StatusLast Update
0002681unrealircdpublic2005-11-09 09:37
ReporterNazzyAssigned Tosyzop 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSLinuxOS Version2.6
Product Version3.2.4 
Target VersionFixed in Version3.2.4 
Summary0002681: Syzop borked extended bans ;)
Description*whistles*


Index: src/extbans.c
===================================================================
RCS file: /home/cmunk/ircsystems/cvsroot/unreal/src/Attic/extbans.c,v
retrieving revision 1.1.2.6.2.8
diff -u -r1.1.2.6.2.8 extbans.c
--- src/extbans.c 19 Aug 2005 15:14:29 -0000 1.1.2.6.2.8
+++ src/extbans.c 9 Nov 2005 04:51:42 -0000
@@ -341,6 +341,7 @@
        req.is_banned = extban_modec_is_banned;
        req.is_ok = extban_modec_is_ok;
        ExtbanAdd(NULL, req);
+ req.is_ok = NULL; /* So that the others don't receive ~c's is_ok -- Nazzy */
        req.flag = 'q';
        req.conv_param = extban_conv_param_nuh;
        req.is_banned = extban_modeq_is_banned;
TagsNo tags attached.
3rd party modules

Activities

Nazzy

2005-11-09 00:08

reporter   ~0010675

Last edited: 2005-11-09 00:20

it borked the indent :(

Edit: Additional credit to Bricker for helping test :)

syzop

2005-11-09 08:51

administrator   ~0010676

A more descriptive title would have been nice :).

And of course if anything is wrong I broke it, I wrote the whole extbans system. So let's be clear: I don't like such an attitude. Took me quite a while to get this unfriendly and hostile attitude out of the UnrealIRCd team (this was just a small part of it of course), and it's not coming back. So just report the bug next time and quit with the personal ""attacks"", thank you.

PS: Yes I understand the problem, will fix it today.

syzop

2005-11-09 09:37

administrator   ~0010682

Fixed in .394.

Issue History

Date Modified Username Field Change
2005-11-09 00:03 Nazzy New Issue
2005-11-09 00:08 Nazzy Note Added: 0010675
2005-11-09 00:20 Nazzy Note Edited: 0010675
2005-11-09 08:51 syzop Note Added: 0010676
2005-11-09 09:37 syzop Status new => resolved
2005-11-09 09:37 syzop Fixed in Version => 3.2.4
2005-11-09 09:37 syzop Resolution open => fixed
2005-11-09 09:37 syzop Assigned To => syzop
2005-11-09 09:37 syzop Note Added: 0010682